{"templateId":"markdown","sharedDataIds":{},"props":{"metadata":{"markdoc":{"tagList":["admonition"]},"type":"markdown"},"seo":{"title":"Overview","description":"The REST API and Groovy API documentation. The Pricefx REST API described in this documentation enables you to develop custom client applications — for example, for integration purposes to a custom system.","image":"/assets/logo.032f572e435e5f1ec1b3c0e3406ca0e81057cd14c2ced878b26eeb29f648d8d7.db81178d.png","keywords":["rest","api","documentation","pricefx","openapi","groovy api","rest api","reference","backend","integration"],"lang":"en-US","siteUrl":"https://api.pricefx.com","llmstxt":{"hide":false,"sections":[{"title":"Table of contents","includeFiles":["**/*"],"excludeFiles":[]}],"excludeFiles":[]}},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"overview","__idx":0},"children":["Overview"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This specification describes the JSON-based ",{"$$mdtype":"Tag","name":"a","attributes":{"href":"https://en.wikipedia.org/wiki/Representational_state_transfer"},"children":["REST"]}," API of the ",{"$$mdtype":"Tag","name":"a","attributes":{"href":"https://www.pricefx.com/"},"children":["Pricefx"]}," backend service (“",{"$$mdtype":"Tag","name":"em","attributes":{},"children":["the backend"]},"”) to retrieve and manipulate objects, as well as to execute methods. In short, all functionality that the backend offers is exposed by this API."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The default web UI uses this interface as its only communication path to the backend, as well as the provided ",{"$$mdtype":"Tag","name":"a","attributes":{"href":"https://pricefx.atlassian.net/wiki/spaces/KB/pages/3733717014/Upload+Master+Data+via+Excel+Client"},"children":["Excel Client"]},". This document should enable anyone with advanced development skills to write a custom client application – e.g. for integration purposes to a custom system."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"transport-protocol","__idx":1},"children":["Transport Protocol"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The only available transport protocol of the Pricefx backend is ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["HTTP(S)"]},"."," ","Standard HTTP headers and return codes as defined in RFC 2616 are used."," ","The Pricefx API entirely relies on a defined URL scheme and additional data as part of a standard HTTP ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["POST"]}," request."," ","If no request body is required, HTTP GET can be used too (unless stated otherwise)."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"tls-versions","__idx":2},"children":["TLS Versions"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Pricefx servers use following TLS protocol versions:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["TLS 1.2"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["TLS 1.3"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"data-format","__idx":3},"children":["Data Format"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The payload of the HTTP requests and responses are formatted in ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["JSON"]}," by default."," ","JSON is described in RFC 4627 and on ",{"$$mdtype":"Tag","name":"a","attributes":{"href":"https://www.json.org/json-en.html"},"children":["json.org"]},"."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"warning"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The JSON request should be properly identified by HTTP Header ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Content-Type"]}," set to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]},"."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"encoding","__idx":4},"children":["Encoding"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["All strings are ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["UTF-8"]}," encoded."]}]},"headings":[{"value":"Overview","id":"overview","depth":1},{"value":"Transport Protocol","id":"transport-protocol","depth":2},{"value":"TLS Versions","id":"tls-versions","depth":3},{"value":"Data Format","id":"data-format","depth":2},{"value":"Encoding","id":"encoding","depth":2}],"frontmatter":{"seo":{"title":"Overview"}},"lastModified":"2026-03-10T14:12:35.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/rest-api/overview","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}